#
# spec file for package qoauth
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qoauth
Summary:        An attempt to support interaction with OAuth-powered network services
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
Version:        1.0.1
Release:        25.1
Url:            http://github.com/ayoy/qoauth
Source0:        qoauth-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libqca2-devel
BuildRequires:  libqt4-devel
Patch:          qoauth-rpmoptflags.patch
Patch2:         qoauth-ppc64-libdir.patch 
%define debug_package_requires libqoauth1 = %version-%release

%description
QOAuth is an attempt to support interaction with OAuth-powered network services
in a Qt way, i.e. simply, clearly and efficiently.

Authors:
--------
    Dominik Kapusta <d@ayoy.net>

%package -n libqoauth1
Summary:        An attempt to support interaction with OAuth-powered network services
Group:          Development/Libraries/C and C++

%description -n libqoauth1
QOAuth is an attempt to support interaction with OAuth-powered network services
in a Qt way, i.e. simply, clearly and efficiently.

Authors:
--------
    Dominik Kapusta <d@ayoy.net>

%package devel
Summary:        Development files for QOAuth
Group:          Development/Libraries/C and C++
Requires:       libqoauth1 = %{version}

%description devel
QOAuth is an attempt to support interaction with OAuth-powered network services
in a Qt way, i.e. simply, clearly and efficiently.

This package contains files for developing applications using QOAuth.

Authors:
--------
    Dominik Kapusta <d@ayoy.net>

%prep
%setup -q -n qoauth-%{version}
%patch -p1
%patch2 -p1
%build
qmake
make %{?jobs:-j %jobs}

%install
%{makeinstall} INSTALL_ROOT=%{buildroot}  

%clean
rm -rf %{buildroot}

%post -n libqoauth1 -p /sbin/ldconfig

%postun -n libqoauth1 -p /sbin/ldconfig

%files -n libqoauth1
%defattr(-,root,root)
%{_libdir}/libqoauth.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/QtOAuth
%{_libdir}/libqoauth.so
%{_libdir}/libqoauth.prl
%{_libdir}/pkgconfig/qoauth.pc
%{_datadir}/qt4/mkspecs/features/oauth.prf

%changelog
* Thu May 28 2015 ro@suse.de
- expand qoauth-ppc64-libdir.patch for s390x
* Sun Dec 15 2013 uweigand@de.ibm.com
- qoauth-ppc64-libdir.patch: Add ppc64le as lib64 platform
* Mon Mar 18 2013 schwab@suse.de
- Add aarch64 to the list of lib64 platforms
* Fri Jul  6 2012 dvaleev@suse.com
- fix ppc64 libdir
* Sat Mar 10 2012 crrodriguez@opensuse.org
- Use RPM_OPT_FLAGS
- Fix -debuginfo generation..
- Build with inlines-hidden
* Thu Dec  8 2011 coolo@suse.com
- this should be LGPL-3.0+, LGPL is not a valid license name
* Sun Aug  7 2011 toddrme2178@gmail.com
- Removed name from summaries (fix for RPMLINT warning)
* Wed Sep 22 2010 tittiatcoke@gmail.com
- Changed spec-file to remove duplicated BuildRequires
* Mon Aug 30 2010 tittiatcoke@gmail.com
- Update to version 1.0.1
  * new API:
  - QOAuth::Interface::networkAccessManager()
  - QOAuth::Interface::setNetworkAccessManager()
  - QOAuth::Interface::ignoreSslErrors()
  - QOAuth::Interface::setIgnoreSslErrors()
    refer to the API docs for more info,
  * added missing export statements to some global functions,
  * Percent encode consumer secret and token secret for the Signature Base String signing key [#8],
  * Parse for request content when sending POST [#10],
  * API docs and examples fixes [#9],
  * temporarily removed QOAuth::DELETE from QOAuth::HttpMethod enum on Windows [#4],
  * buildsystem fixes - install under /usr/lib64 on 64-bit Unix-like systems and
    make use of QT_INSTALL_HEADERS in oauth.prf.
  * Added support for RSA-SHA1 signing algorithm, also working with
    passphrase-protected private RSA keys.
  * Added initial support for PLAINTEXT authorization.
  * inlineParameters() extended by the parameter specifying parsing method,
  * Introduced the QOAuth namespace, with QOAuth::Interface class holding the core
    functionality.
* Tue Oct 27 2009 flavio@castelli.name
- first release
